Create Site – Infra API – MediaKind
Create Site
Put https://app.mk.io/api/v1/projects/:project_name/infra/sites/:name
Create a site. To learn more about sites, read Site Concept.
RBAC Capability Required: infra.site.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name
stringRequired - name
stringRequired
Request
This endpoint expects an object.
metadata object DefaultMetadata Required
Resource metadata.
- displayName
stringRequired
A human-readable name for the resource. - labels
map from strings to stringOptional
A dictionary of labels associated with the resource.- Maximum number of labels: 32.
- Maximum length of a label or value: 256 characters.
- Label: alphanumeric, hyphens and underscores.
- Value: alphanumeric, hyphens, underscores and spaces.
spec object SiteBodySpec Optional
Site specification.
geolocation
objectGeolocationFragment Optional
Optional geolocation data for the site.- coordinates
list of doublesRequired
Co-ordinates that describe the geolocation (ISO 6709), an array of two floating point numbers [latitude(North - South), longitude(East - West)]. Set an empty array to clear the geolocation.
- coordinates
routes
list of objectsRouteJsonFragment Optional
The routes that connect the network to glossary:sites.
defaultTransport object DefaultTransport Optional
Settings used to influence the glossary:transport that the system will automatically select when it needs to send glossary:content from one glossary:flow to another flow. The default transport settings from the route on which the content enters the network are used to select and configure the transport for the content.
- cidr
stringOptional
Defaults to the IP address range to choose from when the system automatically creates transport settings for sending content from one flow to another. - type
enumRequired
The type of glossary:transport to use for sending content from one flow to another flow.- Allowed values: Auto, SRTListener, SRTCaller, UDPRISTListener.
- networkName
stringRequired
Pattern: ^a-z0-9?$
The name of the glossary:network connected to the site by this route.
Response
201 The created site
- kind
stringRequired
The kind of record. - metadata
objectMetadataSchema Required
Site metadata.
- kind
created
stringOptional
Format: date-time
The time when the resource was created.- createdBy
stringOptional
Format: uuid
ID of the user who created the resource. - createdByEmail
stringOptional
Email of the user who created the resource. - displayName
stringOptional
The display name of the resource. - id
stringRequired
Format: uuid
The ID of the resource. - labels
map from strings to stringOptional
A dictionary of labels associated with the resource. - name
stringOptional
The name of the resource. - updated
stringOptional
Format: date-time
The time when the resource was last updated. - updatedBy
stringOptional
Format: uuid
ID of the user who last updated the resource. - updatedByEmail
stringOptional
Email of the user who last updated the resource. - spec
objectSiteBodySpec Required
Site specification.
- createdBy
Errors
400 Bad Request
- error
objectErrorDetail Required
Pertinent information about the error - code
stringRequired
The error code. - detail
stringRequired
The error message. - extraDetail
map from strings to anyOptional
Extra information regarding this error.
- error
401 Unauthorized
- error
objectErrorDetail Required
Pertinent information about the error.
- error
403 Forbidden
- error
objectErrorDetail Required
Pertinent information about the error.
- error
404 Not Found
- error
objectErrorDetail Required
Pertinent information about the error.
- error
409 Conflict
- error
objectErrorDetail Required
Pertinent information about the error.
- error
429 Too Many Requests
- error
objectErrorDetail Required
Pertinent information about the error.
- error
500 Internal Server Error
- error
objectErrorDetail Required
Pertinent information about the error.
- error